Skip to Content
APIItemsDELETE

DELETE Items

Use this endpoint to delete an item within a branch.

User level: Advanced

Endpoint

DELETE /v1/{scopeId}/items/{id}
PropertyValue
MethodDELETE
Scope IDBranch UUID
Resource IDRequired item UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:items:write
Request bodyNot required

Delete rules

  • Items are branch-or-null resources, but the request still uses a branch UUID in the URL.
  • The API validates server-side whether the item can be deleted within the allowed branch context.

Example request

curl -X DELETE "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/items/550e8400-e29b-41d4-a716-446655440061" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..."

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440061", "deleted": true }, "version": "v1" }
Last updated on